%define module	numarray
%define name	python-%{module}
%define version 1.2.3
%define release 1

Name:           %{name}
Version:        %{version}
Release:        %mkrel %{release}
Summary:        Numarray: array processing for numbers, strings, records and objects

Group:          Development/Python
License:        BSD-like
URL:            http://www.stsci.edu/resources/software_hardware/numarray/
Source0:        http://unc.dl.sourceforge.net/sourceforge/numpy/%{module}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  python-devel

%description
Numarray is an array processing package designed to efficiently
manipulate large multi-dimensional arrays.  Numarray is modelled after
Numeric and features c-code generated from python template scripts,
the capacity to operate directly on arrays in files, and improved type
promotions.  Numarray provides support for manipulating arrays
consisting of numbers, strings, records, or objects using the same
basic infrastructure and syntax.

%package devel
Summary: Numarray Library C bindings
Group: Development/Python
Requires: %{name} = %{version}

%description devel
Install this to develop C bindings against the Numarray Python library.

%prep
%setup -n %{module}-%{version} -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --record=INSTALLED_OBJECTS.tmp

# Ghost optimized 
sed 's/\(.*\.pyo\)/%ghost \1/' < INSTALLED_OBJECTS.tmp >INSTALLED_OBJECTS

# Move development files
sed "s#%{_includedir}/python%{pyver}/numarray.*##" < INSTALLED_OBJECTS > INSTALLED_OBJECTS.tmp
mv INSTALLED_OBJECTS.tmp INSTALLED_OBJECTS

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_OBJECTS
%defattr(-,root,root,-)
%doc *.txt

%files devel
%defattr(-,root,root,-)
%{_includedir}/python%{pyver}/numarray
%doc *.txt


%changelog
* Fri Mar 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.3-1mdk
- New release 1.2.3
- use mkrel
- fix some lint

* Thu Nov 25 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1-1mdk
- mandrake contrib

* Mon Oct 25 2004 Jeff Pitman <symbiont+pyvault@berlios.de> 1.1-1
- new release

